<?xml version='1.0' encoding='UTF-8' ?>
<!DOCTYPE composition PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<ui:composition xmlns:ui="http://xmlns.jcp.org/jsf/facelets"
                xmlns="http://www.w3.org/1999/xhtml"
                template="/plantilla-principal.xhtml"
                xmlns:h="http://xmlns.jcp.org/jsf/html"
                xmlns:f="http://xmlns.jcp.org/jsf/core"
                xmlns:jsf="http://xmlns.jcp.org/jsf">

    <ui:define name="contenido">
        <h1> Cartera de Clientes por Cobrador</h1>
        <form jsf:id="form" jsf:prependId="false" class="ui form">
            <div class="fields">
                <div class="six wide field">
                    <label>Cobrador</label>
                    <div id="funcionario" class="ui search selection dropdown">
                        <input jsf:value="#{funcionario.id_cobrador}" type="hidden"/>
                        <i class="dropdown icon" />
                        <div class="default text">Cobrador</div>
                        <div class="menu">
                            <ui:repeat  value="#{funcionario.getListadeCobradores()}" var="cobrador">
                                <div class="item" data-value="#{cobrador.idfuncionario}">#{cobrador.idfuncionario}-#{cobrador.nombres}</div>
                            </ui:repeat>
                        </div>
                    </div>
                </div>
                <div class="two wide field">
                    <label>Cuota</label>
                    <div class="ui selection dropdown">
                        <input name="cuota" jsf:id="id-cuota" type="hidden" jsf:value="#{funcionario.cantidad_cuota}"/>
                        <i class="dropdown icon"></i>
                        <div class="default text">Cuota</div>
                        <div class="menu">
                            <div class="item" data-value="1">1</div>
                            <div class="item" data-value="2">2</div>
                            <div class="item" data-value="3">3</div>
                        </div>
                    </div>
                </div>
            </div>
            <button class="ui primary button" jsf:id="btn-buscar" jsf:action="#{funcionario.buscarCarteradeClientes()}">Buscar</button>
        </form>
        <div class="ui grid">
            <div class="ten wide column">
                <table class="ui single table">
                    <thead>
                        <th>Suscripción</th>
                        <th>Cliente</th>
                        <th>Dirección</th>
                        <th>ultimo Pago</th>
                        <th>Fecha de Venc.</th>
                        <th>Cuota</th>
                        <th>Meses</th>
                        <th>Deuda total</th>
                    </thead>
                    <tbody>
                        <ui:repeat value="#{funcionario.listadecobradorcliente}" var="cocli">
                            <tr id="#{cocli.suscripcion}">
                                <td>#{cocli.suscripcion}</td>
                                <td>#{cocli.cliente}</td>
                                <td>#{cocli.direccion}</td>
                                <td>
                                    <h:outputText value="#{cocli.ultimopago}">
                                        <f:convertDateTime pattern="dd/MMMM/yyyy" />
                                    </h:outputText> 
                                </td>
                                <td>
                                    <h:outputText value="#{cocli.fechadevencimiento}">
                                        <f:convertDateTime pattern="dd/MMMM/yyyy" />
                                    </h:outputText>
                                </td>
                                <td>
                                    <h:outputText value="#{cocli.cuota}">
                                        <f:convertNumber pattern="###,###.##" />
                                    </h:outputText>
                                </td>
                                <td>#{cocli.meses}</td>
                                <td>
                                    <h:outputText value="#{cocli.deuda}">
                                        <f:convertNumber pattern="###,###.## Gs" />
                                    </h:outputText>  
                                </td>
                            </tr>
                        </ui:repeat>
                    </tbody>
                </table>
            </div>
        </div>
    </ui:define>
</ui:composition>
